Bug 206369 - www/apache22 WITH_OPENSSL_PORTS and SSLv2, SSLv3 disabled fails to compile
Summary: www/apache22 WITH_OPENSSL_PORTS and SSLv2, SSLv3 disabled fails to compile
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Olli Hauer
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-01-18 16:00 UTC by Matthew Seaman
Modified: 2016-03-15 10:43 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (apache)
ohauer: merge-quarterly-


Attachments
poudriere log showing the problem (129.60 KB, application/x-binary)
2016-01-18 16:00 UTC, Matthew Seaman
no flags Details
This seems to fix the problem for me (1.62 KB, patch)
2016-01-18 16:11 UTC, Matthew Seaman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Seaman freebsd_committer 2016-01-18 16:00:17 UTC
Created attachment 165761 [details]
poudriere log showing the problem

Yes, it's not exactly the standard set of options, but I gather the defaults are going to look a lot like that in the future.

Looks like Apache Bench has references to SSLv3_client_method() not protected by appropriate #defines.
Comment 1 Matthew Seaman freebsd_committer 2016-01-18 16:11:29 UTC
Created attachment 165762 [details]
This seems to fix the problem for me
Comment 2 commit-hook freebsd_committer 2016-01-18 19:37:48 UTC
A commit references this bug:

Author: ohauer
Date: Mon Jan 18 19:36:58 UTC 2016
New revision: 406606
URL: https://svnweb.freebsd.org/changeset/ports/406606

Log:
  - fix ab buid with OpenSSL from ports and SSL3 disabled [1]
    (backport ab.c r1706008 from apache24)
  - use new $opt-target
  - improve kldstat check
  - use new defined postexec, preunexec in pkg-plist

  with hat apache@

  PR:		206369
  Submitted by:	matthew@ [1]

Changes:
  head/www/apache22/Makefile
  head/www/apache22/files/apache22.in
  head/www/apache22/files/patch-support__ab.c
  head/www/apache22/pkg-plist
Comment 3 Olli Hauer freebsd_committer 2016-01-18 19:42:35 UTC
(In reply to Matthew Seaman from comment #0)
> Yes, it's not exactly the standard set of options, but I gather the 
> defaults are going to look a lot like that in the future.

I also believe that and suspect that's not the only port such mines will be found.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-19 06:57:19 UTC
Re-open for MFH candidate

Set to + when committed, or - with comment (if not necessary)
Comment 5 Olli Hauer freebsd_committer 2016-03-15 10:43:24 UTC
I don't think the patch is relevant for stable users, so close this PR again.